%define tversion        4.0.6
%define packname        jakarta-tomcat-connectors-%{tversion}-src
%define buildjk13       1
%define name            mod_jk
%define version         4.0.6
%define jtcversion      4.0.6
%define release         1ml
%define summary         Tomcat connectors for Apache HTTPD server
%define license         Apache Software License
%define tomcat3dir      /var/tomcat3
%define tomcat4dir      /var/tomcat4
%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define ap13confdir     /etc/httpd/conf
%define	ap13config		%{ap13confdir}/httpd.conf
%define ap13incdir      /usr/include/apache
%define ap13libdir      /usr/lib/apache
%define ap20confdir     /etc/httpd2/conf
%define	ap13config		%{ap20confdir}/httpd2.conf
%define ap20incdir      /usr/include/apache2
%define ap20libdir      /usr/lib/apache2

Summary: 		%{summary}
Name: 	    	%{name}
Version: 		%{version}
Release: 		%{release}
License:        %{license}
Group: 			System Environment/Daemons
Url: 			http://jakarta.apache.org/tomcat
Source:         http://jakarta.apache.org/builds/jakarta-tomcat-4.0/release/v4.0.2/src/%{packname}.tar.gz
Source1:        mod_jk.conf
Source2:        workers.properties
# Patch0:		jkbuild.patch
# Patch1:		mod_jk-4.0.3-makefile.patch
BuildRoot:      /var/tmp/%{name}-root
BuildRequires: 	apache-devel, libtool, ant, tomcat4, junit
Summary:        mod_jk connector to Tomcat 4.x for Apache 1.3
Requires:       apache

%description
mod_jk is the original connector to link Apache 1.3 to Tomcat 3.x & 4.x using ajp protocols


%prep
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}
%setup -n %{packname}

%build
cd jk/native
./buildconf.sh
./configure --with-apxs=/usr/sbin/apxs --enable-EAPI
cd common
make
cd ../apache-1.3
make
cd ../..


%install
mkdir -p $RPM_BUILD_ROOT/%{ap13libdir}
mkdir -p $RPM_BUILD_ROOT/%{ap13confdir}

install jk/native/apache-1.3/mod_jk.so* $RPM_BUILD_ROOT/%{ap13libdir}
cp %{SOURCE1} $RPM_BUILD_ROOT/%{ap13confdir}
cp %{SOURCE2} $RPM_BUILD_ROOT/%{ap13confdir}

%clean
rm -rf $RPM_BUILD_ROOT


%post

# apache1.3
if [ -f /etc/httpd/conf/httpd.conf ] ; then
# 6.2 std apache layout
    if ! grep -q '.*LoadModule *jk_module *modules/mod_jk.so' /etc/httpd/conf/httpd.conf ; then
        sed "s|^\LoadModule *rewrite_module *modules/mod_rewrite.so\$|LoadModule jk_module       modules/mod_jk.so\\
LoadModule rewrite_module     modules/mod_rewrite.so|" < /etc/httpd/conf/httpd.conf > /etc/httpd/conf/httpd.conf-
        mv -f /etc/httpd/conf/httpd.conf- /etc/httpd/conf/httpd.conf
    fi
# mod_ssl apache layout
    if ! grep -q '.*LoadModule *jk_module *lib/apache/mod_jk.so' /etc/httpd/conf/httpd.conf ; then
        sed "s|^\LoadModule *rewrite_module *lib/apache/mod_rewrite.so\$|LoadModule jk_module       lib/apache/mod_jk.so\\
LoadModule rewrite_module     lib/apache/mod_rewrite.so|" < /etc/httpd/conf/httpd.conf > /etc/httpd/conf/httpd.conf-
        mv -f /etc/httpd/conf/httpd.conf- /etc/httpd/conf/httpd.conf
    fi

    if ! grep -q '.*AddModule *mod_jk.c' /etc/httpd/conf/httpd.conf ; then
      sed "s|^\AddModule *mod_rewrite.c\$|AddModule mod_jk.c\\
AddModule mod_rewrite.c|" < /etc/httpd/conf/httpd.conf > /etc/httpd/conf/httpd.conf-
        mv -f /etc/httpd/conf/httpd.conf- /etc/httpd/conf/httpd.conf
    fi

    if ! grep -q '.*Include /etc/httpd/conf/mod_jk.conf' /etc/httpd/conf/httpd.conf ; then
        cat >>/etc/httpd/conf/httpd.conf<<EOT
<IfModule mod_jk.c>
Include /etc/httpd/conf/mod_jk.conf
</IfModule>
EOT
    fi
fi

%preun

if [ $1 = 0 ]; then

# remove existing map if any for apache 1.3
if [ -f %{ap13config} ] ; then
    sed -e '/^LoadModule jk_module lib\/apache\/mod_jk.so/d' \
        -e '/^LoadModule jk_module modules\/mod_jk.so/d' \
        -e '/^AddModule mod_jk.c/d' \
      < %{ap13config} > %{ap13config}-
    mv %{ap13config}- %{ap13config}
fi
fi

%files 
%attr( - ,root,root)                        %{ap13libdir}/mod_jk.so
%attr(644,root,root)  %config(noreplace)    %{ap13confdir}/mod_jk.conf
%attr(644,root,root)  %config(noreplace)    %{ap13confdir}/workers.properties
%doc LICENSE

%changelog
* Wed Jul 17 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- change workers.properties java_home.

* Thu Jul 4 2002 Daisuke Tonoki <tonoki@mirclelinux.com>
- remove vender,pakager tag.
- comment IBMJava Config.

* Thu Jun 20 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- Chnage mod_jk module entry in apache httpd.conf
- add EAPI when RedHatAS2.1

* Thu Feb 14 2002 Henri Gomez <hgomez@slib.fr>
- Initial tomcat-connectors release
- use the jakarta-tomcat-connectors-4.0.2-01-src 
  (which correct some auth problems with ajp13)

